package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import com.cusc.nirvana.user.rnr.mg.dto.SurplusConfirmDto;


/**
 * @author yubo
 * @since 2022-05-03 16:59
 */
public interface IFpSurplusCardBindService {


    /**
     * 一车多卡绑定
     * @param dto
     * @return
     */
    Response surplusCardBind(RnrRelationDTO dto);

    /**
     * 发送短信
     * @param dto
     * @return
     */
    Response sendMessage(RnrRelationDTO dto);

    Response surplusCardBindDirect(RnrRelationDTO dto);

    /**
     * 短信回调
     * @param dto
     * @return
     */
    Boolean confirm(SurplusConfirmDto dto);

    /**
     * 查询状态
     * @param bean
     * @return
     */
    SurplusQueryResponseDTO queryResult(SurplusQueryRequestDTO bean);
}
